=== debian/watch ===
version=3
ftp://sourceware.org/pub/libffi/libffi-(.*).tar.gz
