## libffi 3.0.7-2maemo2+0m5

=== debian/changelog ===
libffi (3.0.7-2maemo2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Gary Birkett <ext-gary.2.birkett@nokia.com>  Fri, 26 Feb 2010 12:00:55 +0200

libffi (3.0.7-2maemo2) unstable; urgency=low

  * Dropped maemo build "fix" for armv6/7 as it was breaking optimizations
  * Adopted fixes from the Debian package to Maemo
  * Fixes: NB#151970 - libffi is not built with optimizations
  * Add -02 compilation option and recompile the configure file to have it.

 -- Rodrigo Novo <rodrigo.novo@collabora.co.uk>  Wed, 30 Dec 2009 09:13:35 -0200

libffi (3.0.7-2) unstable; urgency=low

  * Fix build failure on armel with -mfloat-abi=softfp.
  * Don't pessimize the code for newer armv6 and armv7 processors.
  * lib32ffi5: Add a conflict with libc6-i386 (<= 2.9-18). Closes: #533009.
  * Fix include of example in ffi_call(3). Closes: #512686.
  * Fix lintian errors and warnings.
  * Really apply the patch to fix PR libffi/40242, PR libffi/41443.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Sep 2009 15:24:00 +0200

libffi (3.0.7-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Nov 2008 14:44:36 +0100
