=== debian/control ===
Source: libffi
Priority: extra
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 5), expect-tcl8.3 [hppa], lsb-release, texinfo
Standards-Version: 3.8.3
Section: libs

Package: libffi-dev
Section: libdevel
Architecture: any
Depends: libffi5 (= ${binary:Version}), ${misc:Depends}
Conflicts: libffi4-dev
Description: Foreign Function Interface library (development files)
 This package contains the headers and static library files necessary for
 building programs which use libffi.
 .
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.

Package: lib32ffi-dev
Section: libdevel
Architecture: amd64 ppc64 kfreebsd-amd64
Depends: libffi-dev (= ${binary:Version}), lib32ffi5 (= ${binary:Version}), ${misc:Depends}
Conflicts: libc6-i386 (<= 2.9-18)
Description: Foreign Function Interface library (development files, 32bit)
 This package contains the headers and static library files necessary for
 building programs which use libffi.
 .
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.

Package: libn32ffi-dev
Section: libdevel
Architecture: mips mipsel
Depends: libffi-dev (= ${binary:Version}), libn32ffi5 (= ${binary:Version}), ${misc:Depends}
Description: Foreign Function Interface library (development files, n32)
 This package contains the headers and static library files necessary for
 building programs which use libffi.
 .
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.

Package: libffi5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Foreign Function Interface library runtime
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.

Package: lib32ffi5
Section: libs
Architecture: amd64 ppc64 kfreebsd-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Foreign Function Interface library runtime (32bit)
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.

Package: libn32ffi5
Section: libs
Architecture: mips mipsel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Foreign Function Interface library runtime (n32)
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.

Package: libffi5-dbg
Section: libdevel
Architecture: any
Depends: libffi5 (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Foreign Function Interface library runtime (debug symbols)
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.
