=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,10 @@
   with_check = yes
 endif
 
-ifneq (,$(filter $(DEB_HOST_ARCH), i386 mips mipsel powerpc s390 sparc))
-  multiarch += biarch64
-  m64 = -m64
-endif
+#ifneq (,$(filter $(DEB_HOST_ARCH), i386 mips mipsel powerpc s390 sparc))
+#  multiarch += biarch64
+#  m64 = -m64
+#endif
 
 ifneq (,$(filter $(DEB_HOST_ARCH), amd64 kfreebsd-amd64 ppc64))
   multiarch += biarch32
@@ -33,19 +33,6 @@
   abi64 = -gnuabi64
 endif
 
-ifneq (,$(filter $(DEB_HOST_ARCH), armel))
-  CPPFLAGS += -mfloat-abi=soft
-endif
-
-# Disable multiarch and tests for maemo
-with_check = no
-with_multiarch = no
-
-ifneq ($(with_multiarch),yes)
-multiarch =
-export DH_OPTIONS = -Nlib64ffi-dev -Nlib64ffi5 -Nlib32ffi-dev -Nlib32ffi5
-endif
-
 biarch_map := i486=x86_64 powerpc=powerpc64 sparc=sparc64 s390=s390x \
                 x86_64=i486 powerpc64=powerpc mips=mips64 mipsel=mips64el
 biarch_cpu := $(patsubst $(DEB_HOST_GNU_CPU)=%,%, \
@@ -67,7 +54,7 @@
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
-		CC="gcc" CXX="g++" CFLAGS="$(CFLAGS)" CCASFLAGS="$(CFLAGS) -Wa,--gdwarf2" LDFLAGS="-Wl,-z,defs $(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)"
+		CC="gcc" CXX="g++" CFLAGS="$(CFLAGS)" CCASFLAGS="$(CFLAGS) -Wa,--gdwarf2" LDFLAGS="-Wl,-z,defs $(LDFLAGS)"
 	touch $@
 
 stamp-configure-biarch32:
@@ -120,6 +107,7 @@
     $(if $(filter yes, $(with_check)), stamp-check $(foreach a, $(multiarch), stamp-check-$(a)))
 stamp-build: stamp-configure
 	dh_testdir
+	autoreconf -f -i
 	$(MAKE) -C build
 	$(MAKE) -C build html
 	touch $@
@@ -202,7 +190,7 @@
 		debian/tmp/usr/lib32/libffi_pic.a
 endif
 	dh_install -s --sourcedir=debian/tmp
-ifeq ($(with_multiarch),yes)
+
 	mkdir -p debian/libffi-dev/usr/include/$(DEB_HOST_GNU_TYPE)
 	mv debian/libffi-dev/usr/include/*.h \
 		debian/libffi-dev/usr/include/$(DEB_HOST_GNU_TYPE)/
@@ -235,7 +223,7 @@
     endif
   endif
 endif
-endif
+
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.
@@ -247,6 +235,7 @@
 	dh_installchangelogs -s
 	dh_installdocs -s
 	dh_installinfo -plibffi-dev doc/libffi.info
+	rm -f debian/libffi-dev/usr/share/info/dir*
 	cp -p ChangeLog debian/libffi-dev/usr/share/doc/libffi$(major)/changelog
 	cp -p ChangeLog.* debian/libffi-dev/usr/share/doc/libffi$(major)/
 ifeq ($(with_check),yes)
@@ -254,3 +243,7 @@
 endif
 	rm -rf debian/libffi-dev/usr/share/doc/libffi-dev
 	ln -s libffi$(major) debian/libffi-dev/usr/share/doc/libffi-dev
+	rm -rf debian/libffi$(major)-dbg/usr/share/doc/libffi$(major)-dbg
+	ln -s libffi$(major) debian/libffi$(major)-dbg/usr/share/doc/libffi$(major)-dbg
+ifneq (,$(filter biarch32, $(multiarch)))
+	rm -rf debian/lib32ffi-dev/usr/share/doc/lib32ffi-dev
