## libffi 3.0.11~rc1

=== debian/changelog ===
libffi (3.0.11~rc1-5) experimental; urgency=low

  * Fix powerpc and ppc64 builds (Kyle Moffett).
  * Use dpkg-buildflags to set CFLAGS and LDFLAGS.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Oct 2011 21:42:28 +0200

libffi (3.0.11~rc1-4) experimental; urgency=low

  * Fix PowerPC soft-floating-point support (Kyle Moffett).
    Closes: #644338.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Oct 2011 13:46:26 +0200

libffi (3.0.11~rc1-3) experimental; urgency=low

  * Explicitly use the host compiler.
  * Define FFI_MMAP_EXEC_WRIT on kfreebsd-* (Petr Salinger). Closes: #642928.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Sep 2011 16:35:17 +0200

libffi (3.0.11~rc1-2) experimental; urgency=low

  * Install the test logs with different names depending on the architecture.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Sep 2011 21:49:27 +0200

libffi (3.0.11~rc1-1) experimental; urgency=low

  * New upstream release candidate.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Aug 2011 19:00:11 +0200

libffi (3.0.10~rc8-6) experimental; urgency=low

  * For multicore ARM, clear both caches, not just the dcache (proposed
    patch by Andrew Haley).

 -- Matthias Klose <doko@debian.org>  Tue, 12 Jul 2011 01:40:30 +0200

libffi (3.0.10~rc8-5) experimental; urgency=low

  * libffi6-udeb: Fix dependency information (Colin Watson). Closes: #630006.

 -- Matthias Klose <doko@debian.org>  Sat, 11 Jun 2011 21:36:09 +0200

libffi (3.0.10~rc8-4) experimental; urgency=low

  * Don't make libffi6-udeb multiarch.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Jun 2011 16:14:25 +0200

libffi (3.0.10~rc8-3) experimental; urgency=low

  * Add libffi6-udeb, since libgobject-2.0 requires libffi6 as of GLib
    2.29.4 (Colin Watson). Closes: #630006.
  * Build for multiarch.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Jun 2011 12:40:44 +0200

libffi (3.0.10~rc8-2) experimental; urgency=low

  * Add variadic support for armhf (David Gilbert). LP: #739305.

 -- Matthias Klose <doko@debian.org>  Wed, 25 May 2011 00:02:58 +0200

libffi (3.0.10~rc8-1) experimental; urgency=low

  * New upstream version (release candidate 8).
    - Adds VFP hard-float calling convention support. Closes: #597920.
  * Install to the multiarch triplet directories, not the gnu triplet
    directories (Steve Langasek). Closes: #622976.
  * Bump soversion, update symbols files.
  * Update debian/copyright file.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Apr 2011 20:53:34 +0200

libffi (3.0.9-3) unstable; urgency=low

  * Fix PR target/44452, taken from the GCC 4.5 branch.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Oct 2010 14:08:36 +0200

libffi (3.0.9-2ubuntu2) maverick; urgency=low

  * Don't explictely set CC/CXX when configuring. LP: #623222.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Sep 2010 14:08:37 +0200

libffi (3.0.9-2ubuntu1) maverick; urgency=low

  * On arch i386, install headers into /usr/include/i686-linux-gnu.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 May 2010 11:03:16 +0200

libffi (3.0.9-2) unstable; urgency=low

  * Fix unsigned long long bug on Sparc v8.
  * Drop build dependency on expect-tcl8.3 [hppa].

 -- Matthias Klose <doko@debian.org>  Wed, 21 Apr 2010 01:37:11 +0200

libffi (3.0.9-1) unstable; urgency=low

  * New upstream version (final release).

 -- Matthias Klose <doko@debian.org>  Thu, 31 Dec 2009 16:25:53 +0100

libffi (3.0.9~rc9-1) unstable; urgency=low

  * New upstream version (release candidate 9).
  * Change priority of source and binary packages libffi-dev and libffi5
    to optional. Closes: #559074.
  * Fix location of library files in lib32ffi5. Closes: #533009.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Dec 2009 17:05:36 +0100

libffi (3.0.9~rc3-1) unstable; urgency=low

  * New upstream version (release candidate 3).
  * Work around dejagnu configury, failing all tests on 64bit powerpc.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Nov 2009 13:30:24 +0100

libffi (3.0.9~rc1-1) unstable; urgency=low

  * New upstream version (release candidate 1).

 -- Matthias Klose <doko@debian.org>  Sun, 11 Oct 2009 12:09:36 +0200

libffi (3.0.7-3) unstable; urgency=low

  * Really apply the patch to fix PR libffi/40242, PR libffi/41443.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Oct 2009 21:11:10 +0200
