=== debian/control ===
Source: libffi
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 5), g++-multilib [amd64 i386 mips mipsel powerpc ppc64 s390 sparc kfreebsd-amd64], dejagnu, lsb-release, texinfo,
  dpkg-dev (>= 1.16.0~ubuntu4)
Standards-Version: 3.9.2
Section: libs

Package: libffi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libffi6 (= ${binary:Version}), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Conflicts: libffi4-dev
Description: Foreign Function Interface library (development files)
 This package contains the headers and static library files necessary for
 building programs which use libffi.
 .
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.

Package: lib32ffi-dev
Priority: extra
Section: libdevel
Architecture: amd64 ppc64 kfreebsd-amd64
Depends: libffi-dev (= ${binary:Version}), lib32ffi6 (= ${binary:Version}), ${misc:Depends}
Conflicts: libc6-i386 (<= 2.9-18)
Description: Foreign Function Interface library (development files, 32bit)
 This package contains the headers and static library files necessary for
 building programs which use libffi.
 .
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.

Package: lib64ffi-dev
Priority: extra
Section: libdevel
Architecture: i386 mips mipsel powerpc sparc s390
Depends: libffi-dev (= ${binary:Version}), lib64ffi6 (= ${binary:Version}), ${misc:Depends}
Description: Foreign Function Interface library (development files, 64bit)
 This package contains the headers and static library files necessary for
 building programs which use libffi.
 .
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.

Package: libn32ffi-dev
Priority: extra
Section: libdevel
Architecture: mips mipsel
Depends: libffi-dev (= ${binary:Version}), libn32ffi6 (= ${binary:Version}), ${misc:Depends}
Description: Foreign Function Interface library (development files, n32)
 This package contains the headers and static library files necessary for
 building programs which use libffi.
 .
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.

Package: libffi6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Foreign Function Interface library runtime
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.

Package: lib32ffi6
Priority: extra
Section: libs
Architecture: amd64 ppc64 kfreebsd-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Foreign Function Interface library runtime (32bit)
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.

Package: lib64ffi6
Priority: extra
Section: libs
Architecture: i386 mips mipsel powerpc sparc s390
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Foreign Function Interface library runtime (64bit)
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.

Package: libn32ffi6
Priority: extra
Section: libs
Architecture: mips mipsel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Foreign Function Interface library runtime (n32)
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.

Package: libffi6-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libffi6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Foreign Function Interface library runtime (debug symbols)
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.

Package: libffi6-udeb
Section: debian-installer
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Foreign Function Interface library runtime
 A foreign function interface is the popular name for the interface that
 allows code written in one language to call code written in another
 language.
