=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,29 @@
 DEB_HOST_GNU_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_CPU)
 DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)
+
+CC  = $(DEB_HOST_GNU_TYPE)-gcc
+CXX = $(DEB_HOST_GNU_TYPE)-g++
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
+
+distribution := $(shell lsb_release -is)
+distrelease  := $(shell lsb_release -cs)
+# On non official archives, "lsb_release -cs" default to "n/a". Assume
+# sid in that case 
+ifeq ($(distrelease),n/a)
+distrelease     := sid
+endif
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
   with_check = yes
 endif
 
-#ifneq (,$(filter $(DEB_HOST_ARCH), i386 mips mipsel powerpc s390 sparc))
-#  multiarch += biarch64
-#  m64 = -m64
-#endif
+ifneq (,$(filter $(DEB_HOST_ARCH), i386 mips mipsel powerpc s390 sparc))
+  multiarch += biarch64
+  m64 = -m64
+endif
 
 ifneq (,$(filter $(DEB_HOST_ARCH), amd64 kfreebsd-amd64 ppc64))
   multiarch += biarch32
@@ -33,15 +47,19 @@
   abi64 = -gnuabi64
 endif
 
-biarch_map := i486=x86_64 powerpc=powerpc64 sparc=sparc64 s390=s390x \
+ifeq (,$(filter $(distrelease),lenny etch squeeze sid dapper hardy jaunty karmic lucid))
+  biarch_map := i686=x86_64 powerpc=powerpc64 sparc=sparc64 s390=s390x \
+                x86_64=i686 powerpc64=powerpc mips=mips64 mipsel=mips64el
+else
+  biarch_map := i486=x86_64 powerpc=powerpc64 sparc=sparc64 s390=s390x \
                 x86_64=i486 powerpc64=powerpc mips=mips64 mipsel=mips64el
+endif
 biarch_cpu := $(patsubst $(DEB_HOST_GNU_CPU)=%,%, \
                          $(filter $(DEB_HOST_GNU_CPU)=%,$(biarch_map)))
 biarch_gnu_type := $(subst $(DEB_HOST_GNU_CPU),$(biarch_cpu),$(DEB_HOST_GNU_TYPE))
 
-major=5
+major=6
 p=libffi$(major)
-distribution    := $(shell lsb_release -is)
 
 configure: stamp-configure $(foreach a, $(multiarch), stamp-configure-$(a))
 stamp-configure:
@@ -54,7 +72,8 @@
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
-		CC="gcc" CXX="g++" CFLAGS="$(CFLAGS)" CCASFLAGS="$(CFLAGS) -Wa,--gdwarf2" LDFLAGS="-Wl,-z,defs $(LDFLAGS)"
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+		CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CCASFLAGS="$(CFLAGS) -Wa,--gdwarf2" LDFLAGS="-Wl,-z,defs $(LDFLAGS)"
 	touch $@
 
 stamp-configure-biarch32:
@@ -69,7 +88,7 @@
 		--infodir=\$${prefix}/share/info \
 		--includedir=\$${prefix}/include/$(biarch_gnu_type) \
 		--libdir=\$${prefix}/lib32 \
-		CC="gcc $(m32)" CXX="g++ $(m32)" CFLAGS="$(CFLAGS)" CCASFLAGS="$(CFLAGS) -Wa,--gdwarf2" LDFLAGS="-Wl,-z,defs $(LDFLAGS)"
+		CC="$(CC) $(m32)" CXX="$(CXX) $(m32)" CFLAGS="$(CFLAGS)" CCASFLAGS="$(CFLAGS) -Wa,--gdwarf2" LDFLAGS="-Wl,-z,defs $(LDFLAGS)"
 	touch $@
 
 stamp-configure-biarch64:
@@ -84,7 +103,7 @@
 		--infodir=\$${prefix}/share/info \
 		--includedir=\$${prefix}/include/$(biarch_gnu_type)$(abi64) \
 		--libdir=\$${prefix}/lib64 \
-		CC="gcc $(m64)" CXX="g++ $(m64)" CFLAGS="$(CFLAGS)" CCASFLAGS="$(CFLAGS) -Wa,--gdwarf2" LDFLAGS="-Wl,-z,defs $(LDFLAGS)"
+		CC="$(CC) $(m64)" CXX="$(CXX) $(m64)" CFLAGS="$(CFLAGS)" CCASFLAGS="$(CFLAGS) -Wa,--gdwarf2" LDFLAGS="-Wl,-z,defs $(LDFLAGS)"
 	touch $@
 
 stamp-configure-biarchn32:
@@ -99,7 +118,7 @@
 		--infodir=\$${prefix}/share/info \
 		--includedir=\$${prefix}/include/$(biarch_gnu_type)$(abin32) \
 		--libdir=\$${prefix}/lib32 \
-		CC="gcc $(mn32)" CXX="g++ $(mn32)" CFLAGS="$(CFLAGS)" CCASFLAGS="$(CFLAGS) -Wa,--gdwarf2" LDFLAGS="-Wl,-z,defs $(LDFLAGS)"
+		CC="$(CC) $(mn32)" CXX="$(CXX) $(mn32)" CFLAGS="$(CFLAGS)" CCASFLAGS="$(CFLAGS) -Wa,--gdwarf2" LDFLAGS="-Wl,-z,defs $(LDFLAGS)"
 	touch $@
 
 build: stamp-build \
@@ -107,7 +126,6 @@
     $(if $(filter yes, $(with_check)), stamp-check $(foreach a, $(multiarch), stamp-check-$(a)))
 stamp-build: stamp-configure
 	dh_testdir
-	autoreconf -f -i
 	$(MAKE) -C build
 	$(MAKE) -C build html
 	touch $@
@@ -146,7 +164,13 @@
 	mkdir -p build64/bin
 	echo '/usr/bin/gcc $(m64) "$$@"' > build64/bin/gcc
 	chmod 755 build64/bin/gcc
+ifneq (,$(filter $(DEB_HOST_ARCH), powerpc))
+# work around dejagnu configury; on 64bit powerpc -m64 must be in CFLAGS to pass the testsuite
+	-PATH=$(CURDIR)/build64/bin:$$PATH \
+	  $(MAKE) -C build64 check CC=gcc CXX=g++ CFLAGS="$(m64) $(CFLAGS)" CXXFLAGS="$(m64)" 2>&1 | tee build64/check.log
+else
 	-PATH=$(CURDIR)/build64/bin:$$PATH $(MAKE) -C build64 check CC="gcc $(m64)" 2>&1 | tee build64/check.log
+endif
 	touch $@
 
 stamp-check-biarchn32: stamp-build-biarchn32
@@ -162,6 +186,7 @@
 	dh_testroot
 	rm -f stamp-*
 	rm -rf build*
+	rm -f doc/libffi.info
 	dh_clean 
 
 install: build
@@ -171,7 +196,7 @@
 	dh_installdirs -s
 	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install
 	cp -p build/.libs/libffi_convenience.a \
-		debian/tmp/usr/lib/libffi_pic.a
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libffi_pic.a
 	mkdir -p debian/libffi-dev/usr/share/doc/$(p)
 	cp -a build/doc/libffi.html debian/libffi-dev/usr/share/doc/$(p)/html
 ifneq (,$(filter biarch32, $(multiarch)))
@@ -191,9 +216,9 @@
 endif
 	dh_install -s --sourcedir=debian/tmp
 
-	mkdir -p debian/libffi-dev/usr/include/$(DEB_HOST_GNU_TYPE)
+	mkdir -p debian/libffi-dev/usr/include/$(DEB_HOST_MULTIARCH)
 	mv debian/libffi-dev/usr/include/*.h \
-		debian/libffi-dev/usr/include/$(DEB_HOST_GNU_TYPE)/
+		debian/libffi-dev/usr/include/$(DEB_HOST_MULTIARCH)/
 
 ifneq (,$(filter biarch32, $(multiarch)))
 	mkdir -p debian/lib32ffi-dev/usr/include/$(biarch_gnu_type)
@@ -209,19 +234,6 @@
 	mkdir -p debian/libn32ffi-dev/usr/include/$(biarch_gnu_type)$(abin32)
 	mv debian/libffi-dev/usr/include/$(biarch_gnu_type)$(abin32) \
 		debian/libn32ffi-dev/usr/include/
-endif
-
-ifneq (,$(filter biarch32, $(multiarch)))
-  ifeq ($(DEB_HOST_ARCH),amd64)
-    ifneq (,$(filter $(distribution), Debian))
-	mkdir -p debian/lib32ffi$(major)/emul/ia32-linux/usr
-	mv debian/lib32ffi$(major)/usr/lib32 \
-		debian/lib32ffi$(major)/emul/ia32-linux/usr/lib
-	mkdir -p debian/lib32ffi-dev/emul/ia32-linux/usr
-	mv debian/lib32ffi-dev/usr/lib32 \
-		debian/lib32ffi-dev/emul/ia32-linux/usr/lib
-    endif
-  endif
 endif
 
 # Build architecture-independent files here.
@@ -236,14 +248,3 @@
 	dh_installdocs -s
 	dh_installinfo -plibffi-dev doc/libffi.info
 	rm -f debian/libffi-dev/usr/share/info/dir*
-	cp -p ChangeLog debian/libffi-dev/usr/share/doc/libffi$(major)/changelog
-	cp -p ChangeLog.* debian/libffi-dev/usr/share/doc/libffi$(major)/
-ifeq ($(with_check),yes)
-	cp -p build/check.log debian/libffi-dev/usr/share/doc/libffi$(major)/test_results.txt
-endif
-	rm -rf debian/libffi-dev/usr/share/doc/libffi-dev
-	ln -s libffi$(major) debian/libffi-dev/usr/share/doc/libffi-dev
-	rm -rf debian/libffi$(major)-dbg/usr/share/doc/libffi$(major)-dbg
-	ln -s libffi$(major) debian/libffi$(major)-dbg/usr/share/doc/libffi$(major)-dbg
-ifneq (,$(filter biarch32, $(multiarch)))
-	rm -rf debian/lib32ffi-dev/usr/share/doc/lib32ffi-dev
