## libffi 3.0.11

=== debian/changelog ===
libffi (3.0.11-2) experimental; urgency=low

  * Apply AArch64 patches.
  * Add symbols files for ppc64. Closes: #677285.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Oct 2012 14:09:24 +0200

libffi (3.0.11-1) experimental; urgency=low

  * Final 3.0.11 release.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Apr 2012 11:42:22 +0200

libffi (3.0.11~rc3-2) experimental; urgency=low

  * Don't include debug info for the biarch libs in the -dbg package.
    Closes: #650106.
  * Fix symbols file for sparc64. Closes: #647150.
  * Copy symbols files for kfreebsd-*. Closes: #645595.

 -- Matthias Klose <doko@debian.org>  Sat, 07 Apr 2012 13:05:09 +0200

libffi (3.0.11~rc3-1) experimental; urgency=low

  * New upstream release candidate.

 -- Matthias Klose <doko@debian.org>  Fri, 06 Apr 2012 21:02:38 +0200
