=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+SHELL = /bin/bash
 
 vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
 DPKG_VARS := $(shell dpkg-architecture)
