## libffi 3.0.12

=== debian/changelog ===
libffi (3.0.12-1) experimental; urgency=low

  * libffi 3.0.12 release.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Feb 2013 22:04:02 +0100

libffi (3.0.12~rc3-1) experimental; urgency=low

  * libffi 3.0.12 release candidate 3.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Feb 2013 22:31:36 +0100

libffi (3.0.12~rc2-1) experimental; urgency=low

  * libffi 3.0.12 release candidate 2.
  * Update symbols files for ARM, alpha and m68k.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Feb 2013 05:11:55 +0100

libffi (3.0.12~rc1-1) experimental; urgency=low

  * libffi 3.0.12 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Feb 2013 00:29:01 +0100

libffi (3.0.11-3) experimental; urgency=low

  * Add missing AArch64 patches.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Nov 2012 18:48:50 +0100
