=== debian/rules ===
--- 
+++ 
@@ -74,9 +74,9 @@
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
-		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CCASFLAGS="$(CFLAGS) -Wa,--gdwarf2" LDFLAGS="-Wl,-z,defs $(LDFLAGS)"
 	touch $@
+#		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 
 stamp-configure-biarch32:
 	dh_testdir
@@ -123,6 +123,8 @@
 		CC="$(CC) $(mn32)" CXX="$(CXX) $(mn32)" CFLAGS="$(CFLAGS)" CCASFLAGS="$(CFLAGS) -Wa,--gdwarf2" LDFLAGS="-Wl,-z,defs $(LDFLAGS)"
 	touch $@
 
+build-arch: build
+build-indep: build
 build: stamp-build \
     $(foreach arch, $(multiarch), stamp-build-$(arch)) \
     $(if $(filter yes, $(with_check)), stamp-check $(foreach a, $(multiarch), stamp-check-$(a)))
@@ -197,6 +199,8 @@
 	dh_clean -k
 	dh_installdirs -s
 	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install
+	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
+	-mv debian/tmp/usr/lib/* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/.
 	cp -p build/.libs/libffi_convenience.a \
 		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libffi_pic.a
 	mkdir -p debian/libffi-dev/usr/share/doc/$(p)
@@ -244,9 +248,3 @@
 
 # Build architecture-dependent files here.
 binary-arch: build install
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs -s
-	dh_installdocs -s
-	dh_installinfo -plibffi-dev doc/libffi.info
-	rm -f debian/libffi-dev/usr/share/info/dir*
