## libffi 3.0.13

=== debian/changelog ===
libffi (3.0.13-4) unstable; urgency=medium

  * Fix symbols file for s390x.

 -- Matthias Klose <doko@debian.org>  Fri, 10 May 2013 17:24:46 +0200

libffi (3.0.13-3) unstable; urgency=low

  * Upload to unstable. Closes: #667906.
  * Use multiarch tuples for the non-default biarch installs.

 -- Matthias Klose <doko@debian.org>  Wed, 08 May 2013 17:47:22 +0200

libffi (3.0.13-2) experimental; urgency=low

  * Fix wheezy build on i386.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Mar 2013 17:44:41 -0700

libffi (3.0.13-1) experimental; urgency=low

  * libffi 3.0.13 release.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Mar 2013 16:09:48 -0700
