=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 5), g++-multilib [amd64 i386 mips mipsel powerpc ppc64 s390 sparc kfreebsd-amd64], dejagnu, lsb-release, texinfo,
+Build-Depends: debhelper (>= 5),
+  g++-multilib [amd64 i386 mips mipsel powerpc ppc64 s390 sparc kfreebsd-amd64],
+  dejagnu, lsb-release, texinfo,
   dpkg-dev (>= 1.16.0~ubuntu4)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Section: libs
 
 Package: libffi-dev
@@ -26,7 +28,7 @@
 Section: libdevel
 Architecture: amd64 ppc64 kfreebsd-amd64
 Depends: libffi-dev (= ${binary:Version}), lib32ffi6 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libc6-i386 (<= 2.9-18)
+Conflicts: libc6-i386 (<= 2.9-18), libffi-dev [i386 powerpc s390 sparc]
 Description: Foreign Function Interface library (development files, 32bit)
  This package contains the headers and static library files necessary for
  building programs which use libffi.
@@ -40,6 +42,7 @@
 Section: libdevel
 Architecture: i386 mips mipsel powerpc sparc s390
 Depends: libffi-dev (= ${binary:Version}), lib64ffi6 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libffi-dev [amd64 powerpc64 s390x sparc64]
 Description: Foreign Function Interface library (development files, 64bit)
  This package contains the headers and static library files necessary for
  building programs which use libffi.
