=== debian/rules ===
--- 
+++ 
@@ -49,11 +49,11 @@
   abi64 = -gnuabi64
 endif
 
-ifeq (,$(filter $(distrelease),lenny etch squeeze sid dapper hardy jaunty karmic lucid))
+ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy sid dapper hardy jaunty karmic lucid))
   biarch_map := i686=x86_64 powerpc=powerpc64 sparc=sparc64 s390=s390x \
                 x86_64=i686 powerpc64=powerpc mips=mips64 mipsel=mips64el
 else
-  biarch_map := i486=x86_64 powerpc=powerpc64 sparc=sparc64 s390=s390x \
+  biarch_map := i486=x86_64 i586=x86_64 powerpc=powerpc64 sparc=sparc64 s390=s390x \
                 x86_64=i486 powerpc64=powerpc mips=mips64 mipsel=mips64el
 endif
 biarch_cpu := $(patsubst $(DEB_HOST_GNU_CPU)=%,%, \
@@ -88,7 +88,7 @@
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
-		--includedir=\$${prefix}/include/$(biarch_gnu_type) \
+		--includedir=\$${prefix}/include/$(shell $(CC) $(m32) -print-multiarch) \
 		--libdir=\$${prefix}/lib32 \
 		CC="$(CC) $(m32)" CXX="$(CXX) $(m32)" CFLAGS="$(CFLAGS)" CCASFLAGS="$(CFLAGS) -Wa,--gdwarf2" LDFLAGS="-Wl,-z,defs $(LDFLAGS)"
 	touch $@
@@ -103,7 +103,7 @@
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
-		--includedir=\$${prefix}/include/$(biarch_gnu_type)$(abi64) \
+		--includedir=\$${prefix}/include/$(shell $(CC) $(m64) -print-multiarch) \
 		--libdir=\$${prefix}/lib64 \
 		CC="$(CC) $(m64)" CXX="$(CXX) $(m64)" CFLAGS="$(CFLAGS)" CCASFLAGS="$(CFLAGS) -Wa,--gdwarf2" LDFLAGS="-Wl,-z,defs $(LDFLAGS)"
 	touch $@
@@ -227,13 +227,13 @@
 		debian/libffi-dev/usr/include/$(DEB_HOST_MULTIARCH)/
 
 ifneq (,$(filter biarch32, $(multiarch)))
-	mkdir -p debian/lib32ffi-dev/usr/include/$(biarch_gnu_type)
-	mv debian/libffi-dev/usr/include/$(biarch_gnu_type) \
+	mkdir -p debian/lib32ffi-dev/usr/include/$(shell $(CC) $(m32) -print-multiarch)
+	mv debian/libffi-dev/usr/include/$(shell $(CC) $(m32) -print-multiarch) \
 		debian/lib32ffi-dev/usr/include/
 endif
 ifneq (,$(filter biarch64, $(multiarch)))
-	mkdir -p debian/lib64ffi-dev/usr/include/$(biarch_gnu_type)$(abi64)
-	mv debian/libffi-dev/usr/include/$(biarch_gnu_type)$(abi64) \
+	mkdir -p debian/lib64ffi-dev/usr/include/$(shell $(CC) $(m64) -print-multiarch)
+	mv debian/libffi-dev/usr/include/$(shell $(CC) $(m64) -print-multiarch) \
 		debian/lib64ffi-dev/usr/include/
 endif
 ifneq (,$(filter biarchn32, $(multiarch)))
@@ -244,7 +244,3 @@
 
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
